(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    101494,       2049]
NotebookOptionsPosition[    100139,       2019]
NotebookOutlinePosition[    100573,       2036]
CellTagsIndexPosition[    100530,       2033]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 3.8153075642667866`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}]}], "}"}], ",", 
    RowBox[{"pesos", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "1", ",", "2", ",", "7", ",", "3", ",", "5", ",", "8", ",", "1", ",", 
       "2", ",", "3", ",", "6", ",", "4", ",", "4"}], "}"}]}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"PesosAristas", "[", "grafo", "]"}]}], "Input",
 CellChangeTimes->{{3.815308913625677*^9, 3.815308924386655*^9}, {
   3.8153089550520906`*^9, 3.81530896150486*^9}, {3.815552602693842*^9, 
   3.8155526435290575`*^9}, {3.815552677173063*^9, 3.815552677576992*^9}, {
   3.815553092389825*^9, 3.8155531132669077`*^9}, 3.8155535888762417`*^9, {
   3.8155590705459423`*^9, 3.815559077406861*^9}, {3.8155617547617655`*^9, 
   3.8155617617557993`*^9}, {3.815730636741291*^9, 3.8157306376148615`*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"0312fbe1-beee-4214-a682-8b26901d033d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 5}, {
       6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
         UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
         UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
       EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, ImagePadding -> 10,
        VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{3.248663124399183, 0.44347715445797564`}, {
          2.2735457889919424`, 0.8859607315975075}}], 
         InsetBox["1", {2.7611044566955627, 0.6647189430277416}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{3.248663124399183, 0.44347715445797564`}, {
          2.2737387647070864`, 0.00035435852119020117`}}], 
         InsetBox["2", {2.761200944553135, 0.22191575648958292}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
          2.2737387647070864`, 0.00035435852119020117`}}], 
         InsetBox["3", {2.2736422768495146, 0.4431575450593489}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
          0.9747381811943777, 0.8857618836139022}}], 
         InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
          1.6244309881758638`, 0.4418639470307051}}], 
         InsetBox["5", {1.9489883885839032, 0.6639123393141063}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
          1.6244309881758638`, 0.4418639470307051}}], 
         InsetBox["4", {1.949084876441475, 0.22110915277594764}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
          0.9751329738738322, 0.}}], 
         InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9747381811943777, 0.8857618836139022}, {
          1.6244309881758638`, 0.4418639470307051}}], 
         InsetBox["2", {1.2995845846851208, 0.6638129153223036}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
          0.4435379877278822}}], 
         InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0.9747381811943777, 0.8857618836139022}, {
          0.9751329738738322, 0.}}], 
         InsetBox["1", {0.974935577534105, 0.4428809418069511}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
          0.9751329738738322, 0.}}], 
         InsetBox["4", {1.299781981024848, 0.22093197351535254}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
         InsetBox["3", {0.4875664869369161, 0.2217689938639411}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{3.248663124399183, 0.44347715445797564}, 
          0.03199659257367542], 
         InsetBox["a", 
          Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2735457889919424, 0.8859607315975075}, 
          0.03199659257367542], 
         InsetBox["b", 
          Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
          0.03199659257367542], 
         InsetBox["e", 
          Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9747381811943777, 0.8857618836139022}, 
          0.03199659257367542], 
         InsetBox["c", 
          Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6244309881758638, 0.4418639470307051}, 
          0.03199659257367542], 
         InsetBox["g", 
          Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
         InsetBox["d", 
          Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
         InsetBox["f", 
          Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8153089621456594`*^9, 3.8153090399956026`*^9, 3.815552608346229*^9, 
   3.8155526442459345`*^9, 3.815552678466302*^9, {3.815553104700363*^9, 
   3.8155531139211597`*^9}, 3.8155535897046022`*^9, 3.815559078073073*^9, {
   3.815561756044738*^9, 3.8155617625921187`*^9}, 3.8155621445038056`*^9, 
   3.815564130829714*^9, 3.815730638614687*^9, 3.8157571332337017`*^9, 
   3.8157577989762325`*^9, 3.815760342519611*^9, 3.815767423669023*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"f1df4737-b20e-4634-9563-7214b019ef85"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "e"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "c"}], ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "e"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "d"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"d", "\[UndirectedEdge]", "f"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"e", "\[UndirectedEdge]", "g"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"f", "\[UndirectedEdge]", "g"}], ",", "4"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.8153089621456594`*^9, 3.8153090399956026`*^9, 3.815552608346229*^9, 
   3.8155526442459345`*^9, 3.815552678466302*^9, {3.815553104700363*^9, 
   3.8155531139211597`*^9}, 3.8155535897046022`*^9, 3.815559078073073*^9, {
   3.815561756044738*^9, 3.8155617625921187`*^9}, 3.8155621445038056`*^9, 
   3.815564130829714*^9, 3.815730638614687*^9, 3.8157571332337017`*^9, 
   3.8157577989762325`*^9, 3.815760342519611*^9, 3.8157674236740084`*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"19fe63b1-9b18-4a1d-91d1-532576c30255"]
}, Open  ]],

Cell["Prim:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.8153368075241904`*^9}, {3.815413551480497*^9, 
  3.815413561674924*^9}},ExpressionUUID->"b903dbed-8fb0-4d4c-a28b-\
adce4845591a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a", ",", "b"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"a", ",", "e"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"e", ",", "g"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"g", ",", "c"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c", ",", "f"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"f", ",", "d"}], "}"}]}], "}"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8155572905139976`*^9, 3.81555737442982*^9}, {
  3.815557422436054*^9, 3.8155574665925407`*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"fcba2768-5406-449e-8d65-7a1b5c6822b5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{3.248663124399183, 0.44347715445797564`}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            0.9751329738738322, 0.}}], 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            0.9751329738738322, 0.}}], 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`g], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            0.9751329738738322, 0.}}], 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`g], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`a, $CellContext`b], 
           UndirectedEdge[$CellContext`c, $CellContext`g]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            0.9751329738738322, 0.}}], 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`e, $CellContext`g], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`b], 
           UndirectedEdge[$CellContext`c, $CellContext`g]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             0.9751329738738322, 0.}}]}, 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`f], 
           UndirectedEdge[$CellContext`e, $CellContext`g], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`b], 
           UndirectedEdge[$CellContext`c, $CellContext`g]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             0.9751329738738322, 0.}}]}, 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}]}, 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8155573374960413`*^9, {3.8155574526209364`*^9, 3.815557467671131*^9}, 
   3.815562149215648*^9, 3.8155641351148643`*^9, 3.8157571434012475`*^9, 
   3.815760346150779*^9, 3.8157674268595886`*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"85e6979d-2f2e-45e8-8a13-90aafc8d19ac"]
}, Open  ]],

Cell["Kruskal:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.815336823573577*^9}, {3.81541355481253*^9, 
  3.8154135647317333`*^9}},ExpressionUUID->"da37349b-c12d-4a01-8d66-\
1d6ca42a89fd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ResaltarRuta", "[", 
    RowBox[{"grafo", ",", 
     RowBox[{
      RowBox[{"AristasWolframSystemToCombinatorica", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
         RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
         RowBox[{"c", "\[UndirectedEdge]", "g"}], ",", 
         RowBox[{"a", "\[UndirectedEdge]", "e"}], ",", 
         RowBox[{"d", "\[UndirectedEdge]", "f"}], ",", 
         RowBox[{"e", "\[UndirectedEdge]", "g"}]}], "}"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "edge"}], "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"edge", ",", 
     RowBox[{
      RowBox[{"CantNodos", "[", "grafo", "]"}], "-", "1"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8155589520845423`*^9, 3.8155589929230795`*^9}, {
  3.815559031803842*^9, 3.8155590491913004`*^9}, {3.8155591336139736`*^9, 
  3.8155591386323414`*^9}, {3.8155592343053784`*^9, 3.815559301739025*^9}, {
  3.8155593890412216`*^9, 3.815559415592928*^9}, {3.815559501522197*^9, 
  3.815559527907017*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"d150af47-0df5-4787-845b-8c8d2a3e7c63"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{3.248663124399183, 0.44347715445797564`}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            0.9751329738738322, 0.}}], 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`b]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{3.248663124399183, 0.44347715445797564`}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             0.9751329738738322, 0.}}]}, 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`b], 
           UndirectedEdge[$CellContext`c, $CellContext`g]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{3.248663124399183, 0.44347715445797564`}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             0.9751329738738322, 0.}}]}, 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", Offset[{2, 2}, 
            {1.0071295664475077, 0.03199659257367542}], ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`b], 
           UndirectedEdge[$CellContext`c, $CellContext`g]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             0.9751329738738322, 0.}}]}, 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}], 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`b], 
           UndirectedEdge[$CellContext`c, $CellContext`g]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             0.9751329738738322, 0.}}]}, 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}]}, 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`e, $CellContext`c, \
$CellContext`g, $CellContext`d, $CellContext`f}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 3}, {2, 5}, {4, 6}, {4, 7}, {4, 
         5}, {6, 7}, {3, 7}, {3, 5}, {7, 5}}}, {
        EdgeLabels -> {
          UndirectedEdge[$CellContext`a, $CellContext`e] -> 2, 
           UndirectedEdge[$CellContext`b, $CellContext`g] -> 5, 
           UndirectedEdge[$CellContext`b, $CellContext`e] -> 3, 
           UndirectedEdge[$CellContext`c, $CellContext`f] -> 1, 
           UndirectedEdge[$CellContext`c, $CellContext`d] -> 8, 
           UndirectedEdge[$CellContext`e, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`c, $CellContext`g] -> 2, 
           UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
           UndirectedEdge[$CellContext`b, $CellContext`c] -> 7, 
           UndirectedEdge[$CellContext`e, $CellContext`f] -> 6, 
           UndirectedEdge[$CellContext`d, $CellContext`f] -> 3, 
           UndirectedEdge[$CellContext`a, $CellContext`b] -> 1}, 
         EdgeWeight -> {1, 2, 7, 3, 5, 8, 1, 2, 3, 6, 4, 4}, GraphHighlight -> {
           UndirectedEdge[$CellContext`d, $CellContext`f], 
           UndirectedEdge[$CellContext`e, $CellContext`g], 
           UndirectedEdge[$CellContext`a, $CellContext`e], 
           UndirectedEdge[$CellContext`c, $CellContext`f], 
           UndirectedEdge[$CellContext`a, $CellContext`b], 
           UndirectedEdge[$CellContext`c, $CellContext`g]}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {"Name"}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2735457889919424`, 0.8859607315975075}}]}, 
           InsetBox["1", {2.7611044566955627, 0.6647189430277416}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{3.248663124399183, 0.44347715445797564`}, {
             2.2737387647070864`, 0.00035435852119020117`}}]}, 
           InsetBox["2", {2.761200944553135, 0.22191575648958292}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            2.2737387647070864`, 0.00035435852119020117`}}], 
           InsetBox["3", {2.2736422768495146, 0.4431575450593489}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            0.9747381811943777, 0.8857618836139022}}], 
           InsetBox["7", {1.62414198509316, 0.8858613076057049}, ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2735457889919424`, 0.8859607315975075}, {
            1.6244309881758638`, 0.4418639470307051}}], 
           InsetBox["5", {1.9489883885839032, 0.6639123393141063}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["4", {1.949084876441475, 0.22110915277594764}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{2.2737387647070864`, 0.00035435852119020117`}, {
            0.9751329738738322, 0.}}], 
           InsetBox["6", {1.6244358692904592, 0.00017717926059510059}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             1.6244309881758638`, 0.4418639470307051}}]}, 
           InsetBox["2", {1.2995845846851208, 0.6638129153223036}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{0.9747381811943777, 0.8857618836139022}, {0., 
            0.4435379877278822}}], 
           InsetBox["8", {0.48736909059718886, 0.6646499356708921}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0.9747381811943777, 0.8857618836139022}, {
             0.9751329738738322, 0.}}]}, 
           InsetBox["1", {0.974935577534105, 0.4428809418069511}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           LineBox[{{1.6244309881758638`, 0.4418639470307051}, {
            0.9751329738738322, 0.}}], 
           InsetBox["4", {1.299781981024848, 0.22093197351535254}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}, {
           {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
            LineBox[{{0., 0.4435379877278822}, {0.9751329738738322, 0.}}]}, 
           InsetBox["3", {0.4875664869369161, 0.2217689938639411}, 
            ImageScaled[{0.5, 0.5}],
            BaseStyle->"Graphics"]}}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{3.248663124399183, 0.44347715445797564}, 
            0.03199659257367542], 
           InsetBox["a", 
            Offset[{2, 2}, {3.2806597169728584, 0.4754737470316511}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2735457889919424, 0.8859607315975075}, 
            0.03199659257367542], 
           InsetBox["b", 
            Offset[{2, 2}, {2.3055423815656177, 0.9179573241711829}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.2737387647070864, 0.00035435852119020117}, 
            0.03199659257367542], 
           InsetBox["e", 
            Offset[{2, 2}, {2.3057353572807617, 0.03235095109486562}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9747381811943777, 0.8857618836139022}, 
            0.03199659257367542], 
           InsetBox["c", 
            Offset[{2, 2}, {1.0067347737680532, 0.9177584761875776}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.6244309881758638, 0.4418639470307051}, 
            0.03199659257367542], 
           InsetBox["g", 
            Offset[{2, 2}, {1.6564275807495392, 0.4738605396043805}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 0.4435379877278822}, 0.03199659257367542], 
           InsetBox["d", 
            Offset[{2, 2}, {0.03199659257367542, 0.47553458030155765}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.9751329738738322, 0.}, 0.03199659257367542], 
           InsetBox["f", 
            Offset[{2, 2}, {1.0071295664475077, 0.03199659257367542}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{{3.815558966298672*^9, 3.8155589940610323`*^9}, 
   3.8155590504778147`*^9, 3.8155591396231055`*^9, {3.815559246932459*^9, 
   3.815559259502255*^9}, 3.8155594166590743`*^9, 3.8155595288415155`*^9, 
   3.8155621682319746`*^9, 3.8155641393349066`*^9, 3.815760350715872*^9, 
   3.8157674300643806`*^9, 3.815767915981164*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"a789dbad-7952-44ba-b12f-12f32d5f94f9"]
}, Open  ]]
},
WindowSize->{949., 472.5},
WindowMargins->{{-960, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"e2cd67d6-72e4-4088-8c13-bd8873ce0b72"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],
Cell[CellGroupData[{
Cell[783, 27, 1778, 44, 232, "Input",ExpressionUUID->"0312fbe1-beee-4214-a682-8b26901d033d"],
Cell[2564, 73, 6817, 130, 323, "Output",ExpressionUUID->"f1df4737-b20e-4634-9563-7214b019ef85"],
Cell[9384, 205, 1810, 47, 117, "Output",ExpressionUUID->"19fe63b1-9b18-4a1d-91d1-532576c30255"]
}, Open  ]],
Cell[11209, 255, 248, 4, 75, "Text",ExpressionUUID->"b903dbed-8fb0-4d4c-a28b-adce4845591a"],
Cell[CellGroupData[{
Cell[11482, 263, 1011, 29, 189, "Input",ExpressionUUID->"fcba2768-5406-449e-8d65-7a1b5c6822b5"],
Cell[12496, 294, 43010, 841, 594, "Output",ExpressionUUID->"85e6979d-2f2e-45e8-8a13-90aafc8d19ac"]
}, Open  ]],
Cell[55521, 1138, 250, 4, 75, "Text",ExpressionUUID->"da37349b-c12d-4a01-8d66-1d6ca42a89fd"],
Cell[CellGroupData[{
Cell[55796, 1146, 1205, 27, 302, "Input",ExpressionUUID->"d150af47-0df5-4787-845b-8c8d2a3e7c63"],
Cell[57004, 1175, 43119, 841, 1220, "Output",ExpressionUUID->"a789dbad-7952-44ba-b12f-12f32d5f94f9"]
}, Open  ]]
}
]
*)

